# dillo-zet

Zettelkasten application for [Dillo][].

## Fetch

Get the source from one of the repository mirrors...
### from [git-ssb][]
```
git clone ssb://%R1c3tDmS57iZ5G+g4UkLSWQehG/WUVLd1Y9XkTlng8Y=.sha256 dillo-zet
```
### from Codeberg
```
git clone https://codeberg.org/cel2/dillo-zet
```
### from Woodbine
```
git clone https://git.woodbine.nyc/cel/dillo-zet
```

## Build & Install
```
cd dillo-zet
make install
dpid stop
```
You can also use `make link` instead of `make install`, to install via a symlink.

Then visit <dpi:/zet/> in Dillo.

## Usage

- <dpi:/zet/> - Main page (list all notes)
- <dpi:/zet/ID> - View a note
- <dpi:/zet/new> - Draft a new note

Notes are identified by a string of hexadecimal characters, prefixed by a section sign ("§"). The section sign is not included in the `dpi:/zet/` URL.

The note format is Markdown as parsed by the [sundown][] library, with some changes, e.g. to linkify dillo-zet ids, and to make it a little more like SSB markdown.

Notes are stored as plain text files in a `~/.zet` directory.

## Screenshot

![dillo-zet-screenshot-invidious.png](dillo-zet-screenshot-invidious.png)

[Dillo]: https://packages.debian.org/stable/dillo
[git-ssb]: https://git.scuttlebot.io/%25n92DiQh7ietE%2BR%2BX%2FI403LQoyf2DtR3WQfCkDKlheQU%3D.sha256
[sundown]: https://github.com/vmg/sundown

## Discuss

- Secure Scuttlebutt: [%D2YfOXrX2lQkLNHLT6rt3sVrBhDiR8PVa39KoY8MaR4=.sha256](https://viewer.scuttlebot.io/%25D2YfOXrX2lQkLNHLT6rt3sVrBhDiR8PVa39KoY8MaR4%3D.sha256)

## License

Copyright 2020 Charles E. Lehner

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
